# static.c File Reference

`#include "magick/studio.h"`
`#include "magick/exception-private.h"`
`#include "magick/image.h"`
`#include "magick/module.h"`
`#include "magick/static.h"`
`#include "magick/string_.h"`

## Functions

MagickExport MagickBooleanType | InvokeStaticImageFilter (const char *tag, Image **image, const int argc, char **argv, ExceptionInfo *exception)
MagickExport void | RegisterStaticModules (void)
MagickExport void | UnregisterStaticModules (void)

## Function Documentation

MagickExport MagickBooleanType InvokeStaticImageFilter | ( | const char * | tag,
|  | Image ** | image,
|  | const int | argc,
|  | char ** | argv,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void RegisterStaticModules | ( | void |  | ) |

MagickExport void UnregisterStaticModules | ( | void |  | ) |